# Uses of Class
org.springframework.web.servlet.mvc.condition.PatternsRequestCondition

Packages that use PatternsRequestCondition
Package
Description
org.springframework.web.servlet.mvc.condition
Common MVC logic for matching incoming requests based on conditions.
org.springframework.web.servlet.mvc.method
Servlet-based infrastructure for handler method processing, building on the `org.springframework.web.method` package.

## Uses of PatternsRequestCondition in org.springframework.web.servlet.mvc.condition

Methods in org.springframework.web.servlet.mvc.condition that return PatternsRequestCondition
Modifier and Type
Method
Description
`PatternsRequestCondition`
PatternsRequestCondition.`combine(PatternsRequestCondition other)`
Combine the patterns of the current and of the other instances as follows: If only one instance has patterns, use those.
`PatternsRequestCondition`
PatternsRequestCondition.`getMatchingCondition(HttpServletRequest request)`
Checks if any of the patterns match the given request and returns an instance that is guaranteed to contain matching patterns, sorted via `PathMatcher.getPatternComparator(String)`.
Methods in org.springframework.web.servlet.mvc.condition with parameters of type PatternsRequestCondition
Modifier and Type
Method
Description
`PatternsRequestCondition`
PatternsRequestCondition.`combine(PatternsRequestCondition other)`
Combine the patterns of the current and of the other instances as follows: If only one instance has patterns, use those.
`int`
PatternsRequestCondition.`compareTo(PatternsRequestCondition other, HttpServletRequest request)`
Compare the two conditions based on the URL patterns they contain.

## Uses of PatternsRequestCondition in org.springframework.web.servlet.mvc.method

Methods in org.springframework.web.servlet.mvc.method that return PatternsRequestCondition
Modifier and Type
Method
Description
`PatternsRequestCondition`
RequestMappingInfo.`getPatternsCondition()`
Return the patterns condition when String pattern matching via `PathMatcher` is in use.
Constructors in org.springframework.web.servlet.mvc.method with parameters of type PatternsRequestCondition
Modifier
Constructor
Description
``
`RequestMappingInfo(String name, PatternsRequestCondition patterns, RequestMethodsRequestCondition methods, ParamsRequestCondition params, HeadersRequestCondition headers, ConsumesRequestCondition consumes, ProducesRequestCondition produces, RequestCondition<?> custom)`
Deprecated.
as of 5.3 in favor using `RequestMappingInfo.Builder` via `RequestMappingInfo.paths(String...)`.
``
`RequestMappingInfo(PatternsRequestCondition patterns, RequestMethodsRequestCondition methods, ParamsRequestCondition params, HeadersRequestCondition headers, ConsumesRequestCondition consumes, ProducesRequestCondition produces, RequestCondition<?> custom)`
Deprecated.
as of 5.3 in favor using `RequestMappingInfo.Builder` via `RequestMappingInfo.paths(String...)`.